Skip to main content
GET
/
v2
/
catalog_entries
ListEntries
curl --request GET \
  --url https://api.incident.io/v2/catalog_entries
{
  "catalog_entries": [
    {
      "aliases": [
        "lawrence@incident.io",
        "lawrence"
      ],
      "archived_at": "2021-08-17T14:28:57.801578Z",
      "attribute_values": {
        "abc123": {
          "array_value": [
            {
              "catalog_entry": {
                "archived_at": "2021-08-17T14:28:57.801578Z",
                "catalog_entry_id": "01FCNDV6P870EA6S7TK1DSYDG0",
                "catalog_entry_name": "Primary escalation",
                "catalog_type_id": "01FCNDV6P870EA6S7TK1DSYDG0"
              },
              "helptext": "abc123",
              "image_url": "abc123",
              "is_image_slack_icon": false,
              "label": "Lawrence Jones",
              "literal": "SEV123",
              "reference": "incident.severity",
              "sort_key": "abc123",
              "unavailable": false,
              "value": "abc123"
            }
          ],
          "value": {
            "catalog_entry": {
              "archived_at": "2021-08-17T14:28:57.801578Z",
              "catalog_entry_id": "01FCNDV6P870EA6S7TK1DSYDG0",
              "catalog_entry_name": "Primary escalation",
              "catalog_type_id": "01FCNDV6P870EA6S7TK1DSYDG0"
            },
            "helptext": "abc123",
            "image_url": "abc123",
            "is_image_slack_icon": false,
            "label": "Lawrence Jones",
            "literal": "SEV123",
            "reference": "incident.severity",
            "sort_key": "abc123",
            "unavailable": false,
            "value": "abc123"
          }
        }
      },
      "catalog_type_id": "01FCNDV6P870EA6S7TK1DSYDG0",
      "created_at": "2021-08-17T13:28:57.801578Z",
      "external_id": "761722cd-d1d7-477b-ac7e-90f9e079dc33",
      "id": "01FCNDV6P870EA6S7TK1DSYDG0",
      "name": "Primary On-call",
      "rank": 3,
      "updated_at": "2021-08-17T13:28:57.801578Z"
    }
  ],
  "catalog_type": {
    "annotations": {
      "incident.io/catalog-importer/id": "id-of-config"
    },
    "categories": [
      "customer"
    ],
    "color": "yellow",
    "created_at": "2021-08-17T13:28:57.801578Z",
    "description": "Represents Kubernetes clusters that we run inside of GKE.",
    "dynamic_resource_parameter": "abc123",
    "estimated_count": 7,
    "icon": "alert",
    "id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "is_editable": false,
    "last_synced_at": "2021-08-17T13:28:57.801578Z",
    "name": "Kubernetes Cluster",
    "ranked": true,
    "registry_type": "PagerDutyService",
    "required_integrations": [
      "pager_duty"
    ],
    "schema": {
      "attributes": [
        {
          "array": false,
          "backlink_attribute": "abc123",
          "id": "01GW2G3V0S59R238FAHPDS1R66",
          "mode": "",
          "name": "tier",
          "path": [
            {
              "attribute_id": "abc123",
              "attribute_name": "abc123"
            }
          ],
          "type": "Custom[\"Service\"]"
        }
      ],
      "version": 1
    },
    "semantic_type": "abc123",
    "source_repo_url": "https://github.com/my-company/incident-io-catalog",
    "type_name": "Custom[\"BackstageGroup\"]",
    "updated_at": "2021-08-17T13:28:57.801578Z"
  },
  "pagination_meta": {
    "after": "01FCNDV6P870EA6S7TK1DSYDG0",
    "page_size": 25
  }
}

Query Parameters

catalog_type_id
string
required

ID of this catalog type

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

page_size
integer<int64>
default:25

Integer number of records to return

Required range: x <= 250
Example:

25

after
string

An record's ID. This endpoint will return a list of records after this ID in relation to the API response order.

Example:

"01FDAG4SAP5TYPT98WGR2N7W91"

Response

200 - application/json

OK response.

catalog_entries
object[]
required
Example:
[
{
"aliases": ["lawrence@incident.io", "lawrence"],
"archived_at": "2021-08-17T14:28:57.801578Z",
"attribute_values": {
"abc123": {
"array_value": [
{
"catalog_entry": {
"archived_at": "2021-08-17T14:28:57.801578Z",
"catalog_entry_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"catalog_entry_name": "Primary escalation",
"catalog_type_id": "01FCNDV6P870EA6S7TK1DSYDG0"
},
"helptext": "abc123",
"image_url": "abc123",
"is_image_slack_icon": false,
"label": "Lawrence Jones",
"literal": "SEV123",
"reference": "incident.severity",
"sort_key": "abc123",
"unavailable": false,
"value": "abc123"
}
],
"value": {
"catalog_entry": {
"archived_at": "2021-08-17T14:28:57.801578Z",
"catalog_entry_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"catalog_entry_name": "Primary escalation",
"catalog_type_id": "01FCNDV6P870EA6S7TK1DSYDG0"
},
"helptext": "abc123",
"image_url": "abc123",
"is_image_slack_icon": false,
"label": "Lawrence Jones",
"literal": "SEV123",
"reference": "incident.severity",
"sort_key": "abc123",
"unavailable": false,
"value": "abc123"
}
}
},
"catalog_type_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"created_at": "2021-08-17T13:28:57.801578Z",
"external_id": "761722cd-d1d7-477b-ac7e-90f9e079dc33",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Primary On-call",
"rank": 3,
"updated_at": "2021-08-17T13:28:57.801578Z"
}
]
catalog_type
object
required
Example:
{
"annotations": {
"incident.io/catalog-importer/id": "id-of-config"
},
"categories": ["customer"],
"color": "yellow",
"created_at": "2021-08-17T13:28:57.801578Z",
"description": "Represents Kubernetes clusters that we run inside of GKE.",
"dynamic_resource_parameter": "abc123",
"estimated_count": 7,
"icon": "alert",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"is_editable": false,
"last_synced_at": "2021-08-17T13:28:57.801578Z",
"name": "Kubernetes Cluster",
"ranked": true,
"registry_type": "PagerDutyService",
"required_integrations": ["pager_duty"],
"schema": {
"attributes": [
{
"array": false,
"backlink_attribute": "abc123",
"id": "01GW2G3V0S59R238FAHPDS1R66",
"mode": "",
"name": "tier",
"path": [
{
"attribute_id": "abc123",
"attribute_name": "abc123"
}
],
"type": "Custom[\"Service\"]"
}
],
"version": 1
},
"semantic_type": "custom",
"source_repo_url": "https://github.com/my-company/incident-io-catalog",
"type_name": "Custom[\"BackstageGroup\"]",
"updated_at": "2021-08-17T13:28:57.801578Z"
}
pagination_meta
object
required
Example:
{
"after": "01FCNDV6P870EA6S7TK1DSYDG0",
"page_size": 25
}